xine-lib: cc_renderer_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
cc_renderer_s Struct Reference

## Data Fields
int | video_width
int | video_height
int | x
int | y
int | width
int | height
int | max_char_height
int | max_char_width
osd_renderer_t * | osd_renderer
osd_object_t * | cap_display
int | displayed
int64_t | display_vpts
int64_t | last_hide_vpts
uint32_t | cc_palette [OVL_PALETTE_SIZE]
uint8_t | cc_trans [OVL_PALETTE_SIZE]
metronom_t * | metronom
cc_state_t * | cc_state

## Field Documentation

## ◆ cap_display

osd_object_t* cc_renderer_s::cap_display

Referenced by ccrow_render(), and ccrow_set_attributes().

## ◆ cc_palette

uint32_t cc_renderer_s::cc_palette[OVL_PALETTE_SIZE]

## ◆ cc_state

cc_state_t* cc_renderer_s::cc_state

Referenced by cc_renderer_update_cfg(), ccrow_render(), and ccrow_set_attributes().

## ◆ cc_trans

uint8_t cc_renderer_s::cc_trans[OVL_PALETTE_SIZE]

## ◆ display_vpts

int64_t cc_renderer_s::display_vpts

## ◆ displayed

int cc_renderer_s::displayed

## ◆ height

int cc_renderer_s::height

Referenced by cc_renderer_update_cfg(), and ccrow_render().

## ◆ last_hide_vpts

int64_t cc_renderer_s::last_hide_vpts

## ◆ max_char_height

int cc_renderer_s::max_char_height

Referenced by cc_renderer_update_cfg(), and ccrow_render().

## ◆ max_char_width

int cc_renderer_s::max_char_width

Referenced by cc_renderer_update_cfg(), and ccrow_render().

## ◆ metronom

metronom_t* cc_renderer_s::metronom

## ◆ osd_renderer

osd_renderer_t* cc_renderer_s::osd_renderer

Referenced by cc_renderer_update_cfg(), ccrow_render(), and ccrow_set_attributes().

## ◆ video_height

int cc_renderer_s::video_height

Referenced by cc_renderer_update_cfg().

## ◆ video_width

int cc_renderer_s::video_width

Referenced by cc_renderer_update_cfg().

## ◆ width

int cc_renderer_s::width

Referenced by cc_renderer_update_cfg(), and ccrow_render().

## ◆ x

int cc_renderer_s::x

Referenced by cc_renderer_update_cfg().

## ◆ y

int cc_renderer_s::y

Referenced by cc_renderer_update_cfg().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/spu_dec/cc_decoder.c